<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2010 Jigal van Hemert <jigal@xs4all.nl>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 */

/**
 * The class is intended to be used without instantiating it.
 * Call the functions as static functions
 *
 * @author	Jigal van Hemert <jigal@xs4all.nl>
 * @package	TYPO3
 * @subpackage	tx_fontsizer
 */
class tx_fontsizer {

	/** @var array Configuration */
	public $conf;
	/** @var tslib_cObj Content object */
	public $cObj;

	/**
	 *
	 * @param string $content Current link
	 * @param array $conf Config options
	 * @return string Modified link
	 */
	public function makeResizeLink($content, $conf) {
		if (!$content) {
			return;
		}
		$this->conf = $conf;
		$this->cObj = t3lib_div::makeInstance('tslib_cObj');

		$redirect = $this->cObj->stdWrap('', $this->conf['redirect.']);
		$size = $this->conf['size'];

		$content = '<a href="index.php?eID=fontsizer&amp;size=' . $size . '&amp;redirect=' . rawurlencode($redirect) . '">' . $content . '</a>';
		$content = $this->cObj->stdWrap($content, $this->conf['stdWrap.']);

		return $content;
	}
}
if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/fontsizer/class.tx_fontsizer.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/fontsizer/class.tx_fontsizer.php']);
}
?>